---
title: SSL Verification Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[SSL](https://developers.cloudflare.com/api/python/resources/ssl)

[Verification](https://developers.cloudflare.com/api/python/resources/ssl/subresources/verification)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# SSL Verification Details

ssl.verification.get(VerificationGetParams\*\*kwargs) -> [VerificationGetResponse](<https://developers.cloudflare.com/api/python/resources/ssl#(resource)%20ssl.verification%20%3E%20(model)%20verification_get_response%20%3E%20(schema)>)

GET/zones/{zone\_id}/ssl/verification

Get SSL Verification Info for a Zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Access: Mutual TLS Certificates Write``Access: Mutual TLS Certificates Read``SSL and Certificates Write``SSL and Certificates Read`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20ssl.verification%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

retry: Optional\[Literal\[true]]

Immediately retry SSL Verification.

[Link to this property](<#(resource)%20ssl.verification%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20retry%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

List\[<a href="https://developers.cloudflare.com/api/python/resources/ssl#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)">Verification</a>]

</summary>

<details>

<summary>

certificate\_status: Literal\["initializing", "authorizing", "active", 4 more]

Current status of certificate.

</summary>

One of the following:

"initializing"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%200">Link to this property</a>

"authorizing"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%201">Link to this property</a>

"active"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%202">Link to this property</a>

"expired"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%203">Link to this property</a>

"issuing"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%204">Link to this property</a>

"timing\_out"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%205">Link to this property</a>

"pending\_deployment"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status%20%3E%20(member)%206">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20certificate_status">Link to this property</a>

brand\_check: Optional\[bool]

Certificate Authority is manually reviewing the order.

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20brand_check">Link to this property</a>

cert\_pack\_uuid: Optional\[str]

Certificate Pack UUID.

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20cert_pack_uuid">Link to this property</a>

<details>

<summary>

signature: Optional\[Literal\["ECDSAWithSHA256", "SHA1WithRSA", "SHA256WithRSA"]]

Certificate’s signature algorithm.

</summary>

One of the following:

"ECDSAWithSHA256"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20signature%20%3E%20(member)%200">Link to this property</a>

"SHA1WithRSA"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20signature%20%3E%20(member)%201">Link to this property</a>

"SHA256WithRSA"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20signature%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20signature">Link to this property</a>

<details>

<summary>

validation\_method: Optional\[ValidationMethod]

Validation method in use for a certificate pack order.

</summary>

One of the following:

"http"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20validation_method%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

"cname"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20validation_method%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

"txt"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20validation_method%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20validation_method%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20validation_method">Link to this property</a>

<details>

<summary>

verification\_info: Optional\[VerificationInfo]

Certificate’s required verification information.

</summary>

<details>

<summary>

record\_name: Optional\[Literal\["record\_name", "http\_url", "cname", "txt\_name"]]

Name of CNAME record.

formathostname

</summary>

One of the following:

"record\_name"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name%20%3E%20(member)%200">Link to this property</a>

"http\_url"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name%20%3E%20(member)%201">Link to this property</a>

"cname"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name%20%3E%20(member)%202">Link to this property</a>

"txt\_name"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_name">Link to this property</a>

<details>

<summary>

record\_target: Optional\[Literal\["record\_value", "http\_body", "cname\_target", "txt\_value"]]

Target of CNAME record.

formathostname

</summary>

One of the following:

"record\_value"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target%20%3E%20(member)%200">Link to this property</a>

"http\_body"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target%20%3E%20(member)%201">Link to this property</a>

"cname\_target"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target%20%3E%20(member)%202">Link to this property</a>

"txt\_value"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info%20%3E%20(property)%20record_target">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_info">Link to this property</a>

verification\_status: Optional\[bool]

Status of the required verification information, omitted if verification status is unknown.

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_status">Link to this property</a>

<details>

<summary>

verification\_type: Optional\[Literal\["cname", "meta tag"]]

Method of verification.

</summary>

One of the following:

"cname"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_type%20%3E%20(member)%200">Link to this property</a>

"meta tag"

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_type%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20ssl.verification%20%3E%20(model)%20verification%20%3E%20(schema)%20%3E%20(property)%20verification_type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ssl.verification%20%3E%20(model)%20verification_get_response%20%3E%20(schema)>)

### SSL Verification Details

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
verifications = client.ssl.verification.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(verifications)
```

200 example

```
{
  "result": [
    {
      "certificate_status": "active",
      "brand_check": false,
      "cert_pack_uuid": "a77f8bd7-3b47-46b4-a6f1-75cf98109948",
      "signature": "ECDSAWithSHA256",
      "validation_method": "txt",
      "verification_info": {
        "record_name": "record_name",
        "record_target": "record_value"
      },
      "verification_status": true,
      "verification_type": "cname"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "result": [
    {
      "certificate_status": "active",
      "brand_check": false,
      "cert_pack_uuid": "a77f8bd7-3b47-46b4-a6f1-75cf98109948",
      "signature": "ECDSAWithSHA256",
      "validation_method": "txt",
      "verification_info": {
        "record_name": "record_name",
        "record_target": "record_value"
      },
      "verification_status": true,
      "verification_type": "cname"
    }
  ]
}
```